summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Damian Perticone2023-09-30 03:20:36 +0200
committer Willy Sudiarto Raharjo2023-09-30 06:16:22 +0200
commit17ce2d14f587608f06a599169fff989c4a263aa0 (patch)
tree55bf24e1a788ae6b72b76138f5f6cd73bc4187fa
parent7c7fc69fa1a7016daf61f23d6fe1755edc2e2d73 (diff)
downloadslackbuilds-17ce2d14f587608f06a599169fff989c4a263aa0.tar.gz
desktop/wbg: Added (wallpaper for wayland).
Signed-off-by: Andrew Clemons <andrew.clemons@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--desktop/wbg/README6
-rw-r--r--desktop/wbg/doinst.sh3
-rw-r--r--desktop/wbg/slack-desc19
-rw-r--r--desktop/wbg/wbg.SlackBuild117
-rw-r--r--desktop/wbg/wbg.info10
5 files changed, 155 insertions, 0 deletions
diff --git a/desktop/wbg/README b/desktop/wbg/README
new file mode 100644
index 0000000000..3f7634cdfd
--- /dev/null
+++ b/desktop/wbg/README
@@ -0,0 +1,6 @@
+Super simple wallpaper application for Wayland compositors implementing
+the layer-shell protocol.
+Wbg takes a single command line argument: a path to an image file.
+This image is displayed scaled-to-fit on all monitors.
+More display options, and/or the ability to set a per-monitor wallpaper
+may be added in the future.
diff --git a/desktop/wbg/doinst.sh b/desktop/wbg/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/desktop/wbg/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/desktop/wbg/slack-desc b/desktop/wbg/slack-desc
new file mode 100644
index 0000000000..5d87049a6c
--- /dev/null
+++ b/desktop/wbg/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+wbg: wbg (wallpaper for Wayland compositors)
+wbg:
+wbg: wbg is a super simple wallpaper application for Wayland compositors
+wbg: implementing the layer-shell protocol
+wbg:
+wbg:
+wbg:
+wbg:
+wbg:
+wbg: Home: https://codeberg.org/dnkl/wbg
+wbg:
diff --git a/desktop/wbg/wbg.SlackBuild b/desktop/wbg/wbg.SlackBuild
new file mode 100644
index 0000000000..6e5e9bcd6e
--- /dev/null
+++ b/desktop/wbg/wbg.SlackBuild
@@ -0,0 +1,117 @@
+#!/bin/bash
+
+# Slackware build script for wbg
+
+# Copyright 2023 Damian Perticone, Berisso, Argentina
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=wbg
+VERSION=${VERSION:-1.1.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/$VERSION.tar.gz
+cd $PRGNAM
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir build
+cd build
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ meson .. \
+ --buildtype=release \
+ --infodir=/usr/info \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ -Dstrip=true \
+
+ "${NINJA:=ninja}"
+ DESTDIR=$PKG $NINJA install
+
+cd ..
+
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG -name perllocal.pod \
+ -o -name ".packlist" \
+ -o -name "*.bs" \
+ | xargs rm -f
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG.md LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/desktop/wbg/wbg.info b/desktop/wbg/wbg.info
new file mode 100644
index 0000000000..c6f489dbca
--- /dev/null
+++ b/desktop/wbg/wbg.info
@@ -0,0 +1,10 @@
+PRGNAM="wbg"
+VERSION="1.1.0"
+HOMEPAGE="https://codeberg.org/dnkl/wbg"
+DOWNLOAD="https://codeberg.org/dnkl/wbg/archive/1.1.0.tar.gz"
+MD5SUM="75f9dd94f1f736b2839c6e1211b733a5"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="fcft"
+MAINTAINER="Damian Perticone"
+EMAIL="mjolnirdam@gmail.com"